unit Unit3;

{$i SaDemo.inc}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  {$ifdef D_67}Variants,{$endif}
  Dialogs, DB, SaDb, StdCtrls, ExtCtrls, Grids, DBGrids, SaCommon;

type
  TForm3 = class(TForm)
    DBGrid1: TDBGrid;
    Splitter1: TSplitter;
    Memo1: TMemo;
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    SaDs1: TSaDs;
    DataSource1: TDataSource;
    Button4: TButton;
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
    procedure Execute( isBatch : boolean );
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

procedure TForm3.Button3Click(Sender: TObject);
begin
  Close;
end;

procedure TForm3.Button2Click(Sender: TObject);
begin
  Execute( true );
end;

procedure TForm3.Button1Click(Sender: TObject);
begin
  Execute( false );
end;

procedure TForm3.Execute;
begin
  SaDs1.Active := false;
  SaDs1.QuerySQL := Memo1.Text;
  if isBatch
  then  begin
        SaDs1.ExecuteSqlImmediate;
        Memo1.SetFocus;
        Memo1.SelectAll;
        end
  else  SaDs1.Active := true;
end;

procedure TForm3.Button4Click(Sender: TObject);
begin
  SaDs1.Resume;
end;

end.
